UGSMOOTH(1)

NOME
UGsmooth - invia dati GPS in formato UGear a un'istanza di FlightGear

SINTASSI
UGsmooth --help
    | --infile nome_fileinput [opzioni]...
    | --flight dir_volo [opzioni]...
    | --serial nome_dispositivo --outfile nome_fileoutput [opzioni]...

DESCRIPTION
UGsmooth è un'utilità che legge dati GPS in formato UGrar da un file di testo, una directory contenente dati di volo o da un dispositivo connesso alla porta seriale, li analizza e li invia a un'istanza di FlightGear per riprodurli.

OPZIONI

--help
    Mostra informazioni sull'utilizzo ed esce.

--infile nome_fileinput
    Legge dati GPS da nome_fileinput.

--flight dir_volo
    Legge dati GPS dalla directory contenente dati di volo dir_volo.

--serial nome_dispositivo
    Legge dati GPS dal dispositivo seriale nome_dispositivo.

--outfile nome_fileoutput
    Salva i dati recuperati dal dispositivo in nome_fileoutput.

--hertz frequenza
    Specifica la frequenza da utilizzare per inviare i dati all'istanza di FlightGear. Per impostazione predefinita, gli eventi sono inviati a una frequenza di 60 Hz.

--host nomehost
    Invia i dati all'istanza di FlightGear in esecuzione su nomehost.

    Se --host non è specificato, per impostazione predefinita i dati vengono inviati a localhost.

--broadcast
    Invia i dati del modello dei dati di volo e di controllo come pacchetti broadcast.

--opengc-port porta
    Imposta la porta a cui devono essere inviati i dati OpenGC. Per impostazione predefinita, i dati vengono inviati alla porta 6000.

--fdm-port porta
    Imposta la porta a cui devono essere inviati i dati del modello dei dati di volo. Per impostazione predefinita, i dati vengono inviati alla porta 5505.

--ctrls-port porta
    Imposta la porta a cui devono essere inviati i dati di controllo. Per impostazione predefinita, i dati vengono inviati alla porta 5506.

--groundtrack-heading
    Calcola la prua dell'aereo a partire dalla velocità indicata dal GPS anziché utilizzare la prua grezza registrata dal dispositivo.

--ground-speed
    Calcola la velocità rispetto al suolo a partire dalla velocità indicata dal GPS anziché utilizzare la velocità grezza registrata dal dispositivo.

--estimate-control-deflections
    Stima le deviazioni dei controlli dalle velocità angolari anziché utilizzare le deviazioni grezze registrate dal dispositivo.

--altitude-offset metri
    Aggiunge l'offset specificato (in metri) all'altitudine inviata a FlightGear.

--skip-seconds secondi
    Non trasmette i primi secondi secondi di dati.

    Quest'opzione è ignorata quando si leggono dati GPS da un dispositivo seriale.

--no-real-time
    Non aggiorna il tempo trascorso.

--ignore-checksum
    Non scarta dati con checksum non validi.

    Quest'opzione è ignorata quando si leggono dati GPS da una directory contenente dati di volo.

--sg-swap
    Attiva la logica speciale di doppio scambio per il formato doppio stargate (non standard).

STATI D'USCITA
UGsmooth esce con 0 se l'esecuzione ha avuto successo, con -1 se la sintassi degli argomenti della riga di comando è errata o se si verifica un errore.

VEDERE ANCHE
fgfs(1), GPSsmooth(1), MIDGsmooth(1)